Bug 1307685 - kdelibs3: FTBFS in rawhide
kdelibs3: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:42 EST by Fedora Release Engineering
Modified: 2016-02-16 17:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 17:51:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (191.78 KB, text/plain)
2016-02-13 16:42 EST, Fedora Release Engineering
no flags Details
root.log (150.32 KB, text/plain)
2016-02-13 16:42 EST, Fedora Release Engineering
no flags Details
state.log (633 bytes, text/plain)
2016-02-13 16:42 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:42:20 EST
Your package kdelibs3 failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12827303

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:42:24 EST
Created attachment 1125119 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:42:26 EST
Created attachment 1125120 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:42:28 EST
Created attachment 1125121 [details]
state.log
Comment 4 Kevin Kofler 2016-02-14 17:17:43 EST
WTF?! I tried building with -std=gnu++98 and now I get this error:

ksockaddr.cpp:83:1: error: prototype for 'KSocketAddress::KSocketAddress(const sockaddr*, ksocklen_t)' does not match any in class 'KSocketAddress'
 KSocketAddress::KSocketAddress(const sockaddr* sa, ksocklen_t size)
 ^~~~~~~~~~~~~~
In file included from ksockaddr.cpp:21:0:
ksockaddr.h:177:3: error: candidates are: KSocketAddress::KSocketAddress(KSocketAddress&)
   KSocketAddress(KSocketAddress&);
   ^~~~~~~~~~~~~~
ksockaddr.h:60:3: error:                 KSocketAddress::KSocketAddress(const sockaddr*, ksocklen_t)
   KSocketAddress(const sockaddr* sa, ksocklen_t size);
   ^~~~~~~~~~~~~~
ksockaddr.h:53:3: error:                 KSocketAddress::KSocketAddress()
   KSocketAddress() { init(); }
   ^~~~~~~~~~~~~~
ksockaddr.cpp:123:17: error: prototype for 'KSocketAddress* KSocketAddress::newAddress(const sockaddr*, ksocklen_t)' does not match any in class 'KSocketAddress'
 KSocketAddress* KSocketAddress::newAddress(const struct sockaddr* sa, ksocklen_t size)
                 ^~~~~~~~~~~~~~
In file included from ksockaddr.cpp:21:0:
ksockaddr.h:188:26: error: candidate is: static KSocketAddress* KSocketAddress::newAddress(const sockaddr*, ksocklen_t)
   static KSocketAddress* newAddress(const struct sockaddr *sa, ksocklen_t size);
                          ^~~~~~~~~~
Makefile:1276: recipe for target 'ksockaddr.lo' failed
make[4]: *** [ksockaddr.lo] Error 1

Both mismatches look totally bogus to me.
Comment 5 Ngo Than 2016-02-16 17:51:56 EST
it's fixed in kdelibs3-3.5.10-74.fc24.

http://koji.fedoraproject.org/koji/taskinfo?taskID=13013846

Note You need to log in before you can comment on or make changes to this bug.